PgBeam Docs

Get a support case

GET
/v1/organizations/{org_id}/support/cases/{case_id}

Returns a support case with all its messages.

Authorization

AuthorizationBearer <token>

JWT issued by Better Auth. Verified via JWKS.

In: header

Path Parameters

org_id*string

Unique organization identifier.

case_id*string

Unique support case identifier (prefixed, e.g. sc_xxx).

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/organizations/org_abc123/support/cases/string"
{  "case": {    "id": "sc_01h455vb4pex5vsknk084sn02q",    "case_number": 0,    "org_id": "string",    "user_id": "string",    "title": "string",    "severity": 1,    "status": "open",    "slack_channel_id": "string",    "slack_thread_ts": "string",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "closed_at": "2019-08-24T14:15:22Z",    "message_count": 0  },  "messages": [    {      "id": "sm_01h455vb4pex5vsknk084sn02q",      "case_id": "string",      "source": "user",      "author_name": "string",      "author_image": "string",      "body": "string",      "slack_user_id": "string",      "created_at": "2019-08-24T14:15:22Z"    }  ]}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}